Subject: Re: bug#52184: Make failure for fresh git copy: Symbol's function definition is void: define-keymap--define

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Nov 2021 19:19:01 +0200

> From: JG <[email-masked]>
> Date: Mon, 29 Nov 2021 08:43:06 -0800
> 
> Hi, I'm attempting to compile a fresh git copy of emacs on an Ubuntu
> 21.10 VM. Here is the commit info from git log -1:
> 
> commit c2c9e7e3cbb485d4240f9c9c44694f310711e4e9 (HEAD -> master, origin/master, origin/HEAD)
> 
> When running make I get the below failure, with the full make log
> attached:
> 
> Symbol's function definition is void: define-keymap--define
> make[1]: *** [Makefile:908: bootstrap-emacs.pdmp] Error 255
> make[1]: Leaving directory '/home/etest/emacs/src'
> make: *** [Makefile:452: src] Error 2

Either "make bootstrap", or manually remove all *.elc files that
reference define-keymap--define and then say "make" again.

I'm closing this bug report, as it isn't a bug.